<?php
/**
 * The template for displaying 404 pages (Not Found)
 *
 * @package WordPress
 * @subpackage Ogani_Theme
 * @since Ogani 1.0
 */

$ogani_opt = get_option( 'ogani_opt' );

get_header();

?>
	<div class="main-container error404">
		<div class="container">
			<div class="search-form-wrapper">
				<h1><?php esc_html_e('404','ogani') ?></h1>
				<h2><?php esc_html_e( "PAGE NOT BE FOUND", 'ogani' ); ?></h2>
				<p class="home-link"><?php esc_html_e( "Sorry but the page you are looking for does not exist, have been removed, name changed or is temporarity unavailable.", 'ogani' ); ?></p>
				<?php get_search_form(); ?>
				<a class="button" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php esc_html_e( 'Back to home', 'ogani' ); ?>"><?php esc_html_e( 'Back to home page', 'ogani' ); ?></a>
			</div>
		</div> 
	</div>
</div>
<?php get_footer(); ?>