<?php
/**
 * Product Loop Start
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.3.0
 */

global $wp_query, $woocommerce_loop;

$ogani_opt = get_option( 'ogani_opt' );

$shoplayout = 'sidebar';
if(isset($ogani_opt['shop_layout']) && $ogani_opt['shop_layout']!=''){
	$shoplayout = $ogani_opt['shop_layout'];
}
if(isset($_GET['layout']) && $_GET['layout']!=''){
	$shoplayout = $_GET['layout'];
}
$shopsidebar = 'left';
if(isset($ogani_opt['sidebarshop_pos']) && $ogani_opt['sidebarshop_pos']!=''){
	$shopsidebar = $ogani_opt['sidebarshop_pos'];
}
if(isset($_GET['sidebar']) && $_GET['sidebar']!=''){
	$shopsidebar = $_GET['sidebar'];
}
switch($shoplayout) {
	case 'fullwidth':
		Ogani_Class::ogani_shop_class('shop-fullwidth');
		$shopcolclass = 12;
		$shopsidebar = 'none';
		$productcols = 4;
		break;
	default:
		Ogani_Class::ogani_shop_class('shop-sidebar');
		$shopcolclass = 9;
		$productcols = 3;
}

$ogani_viewmode = Ogani_Class::ogani_show_view_mode();

?>
<div class="shop-products products <?php echo esc_attr($ogani_viewmode);?> <?php echo esc_attr($shoplayout);?>">