jQuery(document).ready(function(){
	var $map_desc = contact['map_desc'];
	var $ogani_opt = contact['ogani_opt'];
	var theme_url = contact['theme_url'];
	var options = {
		scrollwheel: false,
		zoom: $ogani_opt['map_zoom']
	};	
	if($ogani_opt['address_by']=='address'){
		options['address'] = $ogani_opt['map_address'];
	}
	if( isset($ogani_opt['map_marker']['url']) && $ogani_opt['map_marker']['url']!=''){
		var icon_url = $ogani_opt['map_marker']['url'];
	}else{
		var icon_url = theme_url . '/images/marker.png';
	}
	if($ogani_opt['address_by']=='coordinate'){
		options['markers'] = {
				latitude: $ogani_opt['map_lat'],
				longitude: $ogani_opt['map_long'],
				html: $map_desc,
				icon: {
					image: icon_url,
					iconsize: [40, 46],
					iconanchor: [40, 46]
				},
				popup: true
			}
	}else{
		options['markers'] = {
			address: $ogani_opt['map_address'],
			html: $map_desc
				image: icon_url,
				iconsize: [40, 46],
				iconanchor: [40, 46]
			},
			popup: true
		}
	}
	jQuery('#map').gMap(options);
});