<?php
/**
 * Template Name: Full Width
 *
 * Description: Full Width page template
 *
 * @package WordPress
 * @subpackage Ogani_Theme
 * @since Ogani 1.0
 */
$ogani_opt = get_option( 'ogani_opt' );

get_header();
?>
<div class="main-container full-width">
	<div class="title-breadcrumb"> 
		<div class="title-breadcrumb-inner">
			<?php Ogani_Class::ogani_breadcrumb(); ?> 
			<header class="entry-header">
				<div class="container">
					<h1 class="entry-title"><?php the_title(); ?></h1>
				</div>
			</header>  
		</div>  
	</div>
	
	<div class="page-content">
		<div class="container">
			<?php while ( have_posts() ) : the_post(); ?>
				<?php get_template_part( 'content', 'page' ); ?>
			<?php endwhile; ?>
		</div>
	</div>
</div>
<?php get_footer(); ?>