<?php
/**
 * The sidebar containing the main widget area
 *
 * If no active widgets are in the sidebar, hide it completely.
 *
 * @package WordPress
 * @subpackage Ogani_Theme
 * @since Ogani 1.0
 */

$ogani_opt = get_option( 'ogani_opt' );
 
$ogani_blogsidebar = 'right';
if(isset($ogani_opt['sidebarblog_pos']) && $ogani_opt['sidebarblog_pos']!=''){
	$ogani_blogsidebar = $ogani_opt['sidebarblog_pos'];
}
if(isset($_GET['sidebar']) && $_GET['sidebar']!=''){
	$ogani_blogsidebar = $_GET['sidebar'];
}
?>
<?php if ( is_active_sidebar( 'sidebar-1' ) ) : ?>
	<div id="secondary" class="col-xs-12 col-md-3">
		<div class="sidebar-border <?php echo esc_attr($ogani_blogsidebar);?>">
			<?php dynamic_sidebar( 'sidebar-1' ); ?>
		</div>
	</div><!-- #secondary -->
<?php endif; ?>